VanCowboy VanCowboy - 8 days ago 7
Java Question

IBM RAD 9.x and Java versions

We are looking at upgrading our RAD application from 8.5 a (and in some cases 6.0) to RAD 9.x preferably the latest stable release (IIRC it is 9.5). However I cannot find any definitive documentation on the versions of Java (right now we are using Java 7) and the max version of RAD is that we can use. From the reading I have been doing I see that RAD 9.1 supports Java 7 and then the next I can find is RAD 9.5 which only mentions Java 8.

So my questions are:

1) Does anyone have any experience using RAD 9.5 (or greater) with Java 7 development and what have the issues been with backwards compatibility?

2) What is the last version that supported Java 7?


Thank you.

Answer

Documentation is unclear to me too. I found the release page that says RAD 9.5 supports Java 8[1], but in the KC page it shows up to Java 7[2]. This is a clear mistake in KC.

As RAD is built on Eclipse, when you create your project within the workbench, you'll be able to select the Java version that you want to be compatible with.

With this, I can answer question 2. As for #1, I haven't heard about any compatibility issues between Java projects from 9.1 to 9.5.

One thing you have to keep in mind and it's very important. Migrating projects from RAD 8.5 (I understand your current one) to 9.5 is not straightforward as RAD supports automatic migration from N + 2 versions, that is from 8.5 to 9.0 and 9.1, but not 9.5. If you want to achieve this, you'll need to first migrate to either 9.0 or 9.1 and then to 9.5. If you don't have a 9.0 or 9.1 off hand for this, then you'll have to manually migrate the projects. Follow steps in [3].

Hope this helps.

[1]http://www-03.ibm.com/software/products/en/application

[2]https://www.ibm.com/support/knowledgecenter/SSRTLW_9.5.0/org.eclipse.jdt.doc.user/gettingStarted/qs-with-java7.htm

[3]https://www.ibm.com/support/knowledgecenter/SSRTLW_9.5.0/com.ibm.etools.rad.migration.doc/topics/c_migrate_unsupported.html